<template>
  <div>
      <div class="text-h4 mb-10">
        Mis Pacientes
      </div>
    <template>
      <search-table
        table-title=""
        :full-name="true"
        :headers="headers"
        :items="this.patients.data"
        search-text="Busca un paciente por su nombre"
        :filterPatientByName="filterPatientByName"
      />
    </template>
  </div>
</template>

<script>
import { mapActions, mapState, mapGetters } from 'vuex';
import SearchTable from '~/components/Patients/SearchTable.vue';

export default {
  name: 'PatientsTable',
  props: {

  },
  components: {
    'search-table': SearchTable,
  },
  data() {
    return {
      search: '',
      headers: [
        { text: 'Foto', value: 'image' },
        { text: 'Nombre Completo', align: 'start', value: 'full_name', filterable: true },
        { text: 'DNI', value: 'dni' },
        { text: 'Celular', value: 'phoneNumber' },
        { text: 'Correo', value: 'email' },
        {text: 'Acción', value: 'button'},
      ],
      patients2: [
        {
          id: 1,
          profileImageUrl: "https://avatars0.githubusercontent.com/u/9064066?v=4&s=460",
          name: 'Juan',
          fatherLastname: 'Garcia',
          motherLastname:'Lopez',
          dni: '74996633',
          phoneNumber: '965784123',
          email: 'jglopez@gmail.com',
        },
        {
          id: 2,
          profileImageUrl: "https://avatars0.githubusercontent.com/u/9064066?v=4&s=460",
          name: 'Lucas',
          fatherLastname: 'Fernandez',
          motherLastname:'Sanchez',
          dni: '74996633',
          phoneNumber: '965784123',
          email: 'jglopez@gmail.com',
        },
        {
          id: 3,
          profileImageUrl: "https://avatars0.githubusercontent.com/u/9064066?v=4&s=460",
          name: 'Jose',
          fatherLastname: 'Pareja',
          motherLastname:'Gutierrez',
          dni: '74996633',
          phoneNumber: '965784123',
          email: 'jglopez@gmail.com',
        },
        {
          id: 4,
          profileImageUrl: "https://avatars0.githubusercontent.com/u/9064066?v=4&s=460",
          name: 'Enrique',
          fatherLastname: 'Junchaya',
          motherLastname:'Heredia',
          dni: '74996633',
          phoneNumber: '965784123',
          email: 'jglopez@gmail.com',
        },
        {
          id: 5,
          profileImageUrl: "https://avatars0.githubusercontent.com/u/9064066?v=4&s=460",
          name: 'Carlos',
          fatherLastname: 'Ramos',
          motherLastname:'Portugal',
          dni: '74996633',
          phoneNumber: '965784123',
          email: 'jglopez@gmail.com',
        },
        {
          id: 6,
          profileImageUrl: "https://avatars0.githubusercontent.com/u/9064066?v=4&s=460",
          name: 'Sebastian',
          fatherLastname: ' Flores',
          motherLastname:' Flores',
          dni: '74996633',
          phoneNumber: '965784123',
          email: 'jglopez@gmail.com',
        },
        {
          id: 7,
          profileImageUrl: "https://avatars0.githubusercontent.com/u/9064066?v=4&s=460",
          name: 'Paolo',
          fatherLastname: 'Guerrero',
          motherLastname:'Guerrero',
          dni: '74996633',
          phoneNumber: '965784123',
          email: 'jglopez@gmail.com',
        },
      ],
    };
  },
  computed: {
    ...mapState({
      patients: state => state.patient.patient.patients,
      loading: state => state.patient.patient.loading,
    }),
    ...mapGetters({
      myUserUuid: 'auth/myUserUuid',
    }),
  },
  async mounted() {
    await this.getAllPatients();
  },
  methods: {
    ...mapActions({
      getPatients: 'patient/patient/getPatients',
    }),
    getAllPatients() {
      this.getPatients({specialistUuid: this.myUserUuid, name: ''});
      console.log(this.myUserUuid);
    },
    filterPatientByName(search){
      console.log('Filter', search);
      this.getPatients({specialistUuid: this.myUserUuid, name: search});
    },
  },
};
</script>
